Subject: [bug#28116] mate partial review

From: ng0 <[email-masked]>
Date: Sun, 3 Sep 2017 19:50:49 +0000

ng0 transcribed 38K bytes:
> Efraim Flashner transcribed 27K bytes:
> > On Thu, Aug 31, 2017 at 01:21:09PM +0000, ng0 wrote:
> > > ng0 transcribed 47K bytes:
> > > > I did the best I could guess with this updated patch series.
> > > > If I missed something you addressed already, please point it
> > > > out in a format which is more friendly to read than a mono-patch.
> > > > 
> > > > If this series is alright I want to sort the inputs of the
> > > > longest packages with the version which is then good to go.
> > > > 
> > > > Thanks for taking the time to review!
> > > 
> > > You could also read through them here:
> > > https://gitweb.krosos.org/ng0_guix/guix/log/?h=system/mate
> > > http://gitweb.xpcbqhqx6ynktue7.onion/ng0_guix/guix/log/?h=system/mate
> > > -- 
> > 
> > That worked out well. I think we're about there, I just want you to
> > check that it works well when used as a DE.
> 
> I applied all of your corrections with the exception of:
> 
> `(#:phases -> '(#:phases
> 
> I see no point or any reason at all to use this for the package definition
> it was applied to, used 2 times. The majority of packages uses the first one.
> 
> Then there was a cosmetical change with something like
> (add-before
>  'foo 'bar
> 
> becoming
> 
> (add-before 'foo 'bar
> 
> I haven't applied this because it was outside of the packages I
> worked on and didn't fit into any logical set of patches I had.
> 
> This can be commited after this series.
> 
> Thanks for going through all of this. Now what we achieved with this
> change is:
> - mate-panel has actual readable/recognizable symbols instead
>   of the garbage I assumed that was caused by individual applications
>   but turns out it wasn't.
> - Mate Control Center looks better.
> - Everything is still working.
> 
> 
> So, your fixes to my patches LGTM.
> Rebased and edited series attached.

Actually one issue, but not related to MATE:
Please check if on a system with only Mate
and not additionally XFCE or GNOME you have
harddrives accessible. I removed both (XFCE
and GNOME) from the system and as a normal
user my unmounted disks disappeared from
the system view. Not bad, but this has
happened with other WMs/DMs before so I
just assume something is missing.

Still good to go though.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org